ogma-core-1.12.0: Ogma: Helper tool to interoperate between Copilot and other languages.

Safe Haskell | None
Language | Haskell2010

Language.Trans.CStructs2MsgHandlers

Description

Generate C methods that process message dealing with the structs defined in a header file.

This module contains the pure conversion from CStructs into C code. Normally, this module would be implemented as a conversion between C ASTs, but we want to add comments to the generated code, which are not representable in the abstract syntax tree.

Synopsis

- cstructs2MsgHandlers :: TranslationUnit -> Either String String
- cstruct2MsgHandler :: CStruct -> String

# Documentation

cstructs2MsgHandlers :: TranslationUnit -> Either String String Source #

Generate a C methods that process message dealing with the structs defined in a header file.

cstruct2MsgHandler :: CStruct -> String Source #

Generate a C method that processes one message dealing with one kind of struct.